<div id="header"><a href="/doc">Documentation</a> / Design</div>

SATEL NETCO Design is an intuitive and user-friendly network configuration software for SATEL radio modems, such as SATEL-EASy+ and legacy SATELLINE-3AS NMS product series. Design with graphical user interface for easy optimizing network design and deployment in a few simple steps, with local and remote connection to SATEL radios. SATEL NETCO Design also supports importin .saxd file format for networks created with with the SATEL NMS PC software.

This document outlines the NETCO NMS specific aspects of NETCO Design. For the full NETCO Design usage documentation see the [NETCO Design User Guide](/netco/design/info/en/NETCO_User_Guide.pdf).

<img src="img/usage_design_screenshot.png" style="width: 700px; object-fit: contain;" alt="NETCO Design"/>

NETCO Design as part of NETCO NMS stack will use a green color theme. This also implies the availability of NETCO NMS specific features that are missing in standalone NETCO Design installations: the [Notify MS button](design.md#notify_ms_button), the [Network monitoring settings](design.md#network_monitoring_settings) and [Node monitoring settings](design.md#node_monitoring_settings).

<a name="notify_ms_button" class="anchor"></a>
## Notify MS button

The "Notify MS" button (short for "Notify Monitoring Stack") is added to the top of the map view. This sends sends the settings of the current network to monitoring. **Note: Any changes made to monitoring settings will not be applied until Notify MS has been pressed**.

![Notify MS button](img/usage_design_notify_ms.png)

<a name="network_monitoring_settings" class="anchor"></a>
## Network monitoring settings

When accessing Network settings from the bottom left corner of the map view, a section for "Monitoring" is found in the propery tree editor:

### Settings under Network settings / Monitoring:

*Property* | *Description*
:- | :-----
State | **On**: Monitoring active. **Paused**: Monitoring inactive but network is listed in monitoring. **Off**: Monitoring disabled and network not listed in monitoring.
Min Interval (ms) | Minimum time in milliseconds between monitoring queries.
Max Retries | Maximum number of retries to failed query.
Deadband Timeout (s) | Timeout in seconds, for monitoring stack to create alarm of non-responsive node. 0=deadband monitoring inactive.
Protocol | This specifies by which external format or protocol the network synchronization will happen. Currently the only supported value is Satel NMS Protocol

### Settings under Network settings / Monitoring / Satel NMS Protocol:

*Property* | *Description*
:- | :-----
Send mode | **Offline**: Radio network monitoring requests sent spontaneously. Not recommended for networks with system data, without radio layer collision avoidance. **Online**: Radio network monitoring requests sent only along with system data. Monitoring parameters shall be adjusted according to the system data frames. Recommended especially for serial data based network protocols (polling type), system data together with radio network monitoring without radio layer collision avoidance.
Message Timeout | Message timeout in milliseconds.
Max Parallel Transactions | The maximum number of parallel transactions to be started before stopping to wait for a response/timeout.

![Network settings monitoring section](img/usage_design_network_settings.png)

<a name="node_monitoring_settings" class="anchor"></a>
## Node monitoring settings

After selecting a node from the map view, the property tree editor displays a "Filter" dropdown to allow viewing monitoring related properties exclusively:

![Node property tree filter](img/usage_design_node_property_tree_filter.png)

The Setting menu for a single property adds the "Monitoring" section to edit the Monitoring Specification ("MSPE") of the property:

![Node property setting menu](img/usage_design_node_property_setting_menu.png)

Settings in the MSPE editor:

*Property* | *Description*
:- | :-----
Monitoring enabled | Enable monitoring to collect this property from the device.
Monitoring thresholds enabled | Compare received values against preset thresholds to create warnings/alarms.
Monitoring thresholds | Set alarm/warning limits or alert priority.

![Node property setting menu](img/usage_design_mspe_editor.png)

# Example creating a new SATEL-EASy+ network to test monitoring

* Create a new network in NETCO Design
* Select the "Serial data / EASy+" template
* Configure desired radio parameters
* Synchronize settings from NETCO to test devices
* Select "Network settings" in the bottom left corner of the map view
* Set "OTA Network Connection / Connection string" to enable OTA communication with the network
* Set "Monitoring / State" to "On"
* Set "Monitoring / Satel NMS Protocol / Send Mode" to the preferred monitoring mode
* Click "Notify MS" button to enable monitoring on this network
* The network will now be displayed on the Monitoring page, accessible from the main menu.
