<div id="header"><a href="/doc">Documentation</a> / Troubleshooting</div>

# Running into issues

If there are issues with the way pages are rendered, a hard refresh is recommended with Ctrl+F5.

If the system is not responsive or appears to have stalled, a stack restart may help:

* Run in the extracted NETCO NMS folder:
  * In Ubuntu: `sudo ./LocalDown.ps1`
  * In Windows: `.\LocalDown.ps1` (Terminal must be run as Administrator)
* To the question `Are you sure you want to stop and clear Satel stack?` answer **y** and press enter
* To the question `Do you want to preserve system configurations?` answer **y** and press enter
* Now restart the stack with
  * In Ubuntu: `sudo ./LocalUp.ps1`
  * In Windows: `.\LocalUp.ps1` (Terminal must be run as Administrator)

<a name="lost_password" class="anchor"></a>
# Lost password

If the admin password has not been changed after installation, it can still be recovered:

* Open the extracted NETCO NMS folder in the file manager
* Ubuntu users: enable "Show Hidden Files" from the top right hamburger menu in the file manager window. Windows users can skip this step.
* Double click ".env.secrets" to open the file in a text editor
* The password is displayed on the line `INITIAL_ADMIN_PASSWORD=...`

If admin password has been changed, it can be reset by restarting the stack:

* Run in the extracted NETCO NMS folder:
  * In Ubuntu: `sudo ./LocalDown.ps1`
  * In Windows: `.\LocalDown.ps1` (Terminal must be run as Administrator)
* To the question `Are you sure you want to stop and clear Satel stack?` answer **y** and press enter
* To the question `Do you want to preserve system configurations?` answer **n** and press enter to reset the admin password
* Now restart the stack:
  * In Ubuntu: `sudo ./LocalUp.ps1`
  * In Windows: `.\LocalUp.ps1` (Terminal must be run as Administrator)
* A new admin password will be generated and displayed similarly to during [installation](install.md#installation_complete).

<a name="error_reporting" class="anchor"></a>
# Error reporting

Included with the installation is `LocalNETCODiagnostics.ps1` script which can be used to collect logs for diagnosing problems. Run in the extracted NETCO NMS folder:

* In Ubuntu: `sudo ./LocalNETCODiagnostics.ps1`
* In Windows: `.\LocalNETCODiagnostics.ps1` (Terminal must be run as Administrator)

The script collects logs for last 10 days. Pass a number of days as a parameter of the script, if you want to change the logs period.

Once the diagnostic ZIP-file has been generated, please send it to SATEL Technical support along with a description and preferably screenshots of the problem.

Example output:

> user@system .../netco_nms-1.27.5-716456fd.20093267 # sudo ./LocalNETCODiagnostics.ps1<br>
> [sudo] password for user:
>
> Generating diagnostics package for netco_nms:
>
>   controller0/logs/trace_2020-06-17.log<br>
>   controller0/logs/trace_2020-07-20_1.log<br>
>   controller0/logs/trace_2020-07-20_2.log<br>
>   ...
>
> Generated file: netco_nms_2020-09-11_113304_ser.zip
