@ECHO OFF

SET serial_port=%~1
IF "%serial_port%" == "" ( 
   goto print_all 
) ELSE (
   goto print_one
)


:print_one

SET file_name=%ProgramData%\Satel\NETCO NMS\mapping_%serial_port%\info.txt
IF NOT EXIST "%file_name%" (
	echo Can't find %file_name%
	sc.exe query netco_%serial_port%
	goto error
)
set /p info=<"%file_name%"
echo ------------------------------------------------------------
echo %info%
sc.exe query netco_%serial_port% | findstr "        STATE"
echo ------------------------------------------------------------

goto end

:print_all


echo Port mapping found:
setlocal enabledelayedexpansion
for /D %%f in ("%ProgramData%\Satel\NETCO NMS\mapping_*") do ( 
  set /p val=<%%f/info.txt
  echo !val! 
)
echo --------
echo Checking ports COM1-COM40:
FOR /L %%y IN (1, 1, 40) DO (
	sc.exe query netco_COM%%y | findstr "        SERVICE_NAME:"
	sc.exe query netco_COM%%y | findstr "        STATE"
)

goto end

:error

echo [41mERROR![0m

:end